<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 63;

$sightsArray = array();

$longName = 'Wunschtermine';
$tool_id = \ToolsAPI::TOOL_DOZ_WUNSCHTERMINE;
$toolName = 'DozWunschtermine';
$toolNameBasis = 'Basis';

$sight = new SightItemTool();
$sight->name = 'Wunschtermine Filter';
$sight->id = 'FilterWunschtermine';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Dozent\Wunschtermine\Uebersicht\Filter\WunschtermineShowFilterView(null);
array_push($sightsArray, $sight);

$group = 'Neuer Wunschtermin';

$sight = new SightItemTool();
$sight->name = 'Neuer Wunschtermin';
$sight->id = 'WunschterminNeu';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = $group;
$sight->view = new \Kufer\Web\KuferTools\Dozent\Wunschtermine\Neu\WunschterminNeuView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Wunschtermin erstellt E-Mail';
$sight->id = 'WunschterminEMailErstellt';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = $group;
$sight->nameNoData = $sight->nameFooter;
$sight->nameFooter = $sight->nameBody;
$sight->nameBody = $sight->nameHeader;
$sight->nameHeader = 'Betreff';
$sight->view = new \Kufer\Web\KuferTools\Dozent\Wunschtermine\NeuAbsenden\EMail\WunschterminNeuAbsendenEMailView(null);
array_push($sightsArray, $sight);

$group = 'Wunschtermin bearbeiten';

$sight = new SightItemTool();
$sight->name = 'Wunschtermin bearbeiten';
$sight->id = 'WunschterminBearbeiten';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = $group;
$sight->view = new \Kufer\Web\KuferTools\Dozent\Wunschtermine\Bearbeiten\WunschterminBearbeitenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Wunschtermin bearbeitet E-Mail';
$sight->id = 'WunschterminEMailBearbeitet';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = $group;
$sight->nameNoData = $sight->nameFooter;
$sight->nameFooter = $sight->nameBody;
$sight->nameBody = $sight->nameHeader;
$sight->nameHeader = 'Betreff';
$sight->view = new \Kufer\Web\KuferTools\Dozent\Wunschtermine\BearbeitenAbsenden\EMail\WunschterminBearbeitenAbsendenEMailView(null);
array_push($sightsArray, $sight);

$group = 'Wunschtermin löschen';

$sight = new SightItemTool();
$sight->name = 'Wunschtermin gelöscht E-Mail';
$sight->id = 'WunschterminEMailGeloescht';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = $group;
$sight->nameNoData = $sight->nameFooter;
$sight->nameFooter = $sight->nameBody;
$sight->nameBody = $sight->nameHeader;
$sight->nameHeader = 'Betreff';
$sight->view = new \Kufer\Web\KuferTools\Dozent\Wunschtermine\Loeschen\EMail\WunschterminGeloeschtAbsendenEMailView(null);
array_push($sightsArray, $sight);